package de.dhbwstuttgart.bytecode.descriptor;

import de.dhbwstuttgart.bytecode.utilities.Lambda;
import de.dhbwstuttgart.bytecode.utilities.MethodFromMethodCall;
import de.dhbwstuttgart.bytecode.utilities.NormalConstructor;
import de.dhbwstuttgart.bytecode.utilities.NormalMethod;
import de.dhbwstuttgart.bytecode.utilities.SamMethod;

public interface DescriptorVisitor {
	public String visit(NormalMethod method);
	public String visit(NormalConstructor constructor);
	public String visit(Lambda lambdaExpression);
	public String visit(SamMethod samMethod);
	public String visit(MethodFromMethodCall methodFromMethodCall);
}
